/*
 * Called when the preference window loads.  Populates the Schedules List
 * based on the "extensions.hpsched.schedules" preference.
 */
function populatePrefpane() 
{
	var list;

	/* run initialiser functions */
	initTooltipOfmArm();

	/* initialise drop down of default duration of transfer market */
	initTMDuration();
	
	/* load Add-on website from preferences and visualise in "Add-on-Preference" pop-up */
	var newsite=prefBranchAbout.get("website");
	document.getElementById("website").setAttribute("value", newsite);
	document.getElementById("website").setAttribute("href", newsite);			
	
	/* get the last upgrade day saved in preferences of Add-on */
	var lastUpgradeDay=prefBranchOFMStrengthLevel.get("matchday");

	/* fill drop down for possible upgrade days and set the selected one to the last one */
	list = document.getElementById("listboxMatchday");
	list.appendItem("0");
	list.appendItem("9");
	list.appendItem("18");
	list.appendItem("27");
	
	/* mark selected item in drop down list according to the last upgrade day */
	switch(lastUpgradeDay)
	{
		case "0":
			list.selectedIndex = 0;
			break;
		case "9":
			list.selectedIndex = 1;
			break;
		case "18":
			list.selectedIndex = 2;
			break;
		case "27":
			list.selectedIndex = 3;
			break;
		default:
			list.selectedIndex = 0;
			break;
	} 
}

function initTMDuration()
{
	var list;	
	/* fill drop down for default transfer market duration */
	list = document.getElementById("lbTMDuration");
	for(var i=7; i>2; i--)
	{
		list.appendItem(i);
	}
	
	/* get the last duration saved in preferences of Add-on */
	var defaultDuration=getNumberFromString(prefBranchOFMFunctionSettings.get("transfermarket.defaultduration"));
		
	list.selectedIndex = 7-defaultDuration;
}

function initTooltipOfmArm()
{
	document.getElementById("ttOfmArm").setAttribute("src", prefBranchOFMFunctionSettings.get("arm.urlnewimage"));
}

function onAcceptanceOptions()
{
	infoMessage(2, "onAcceptanceOptions");
	
	var list = document.getElementById("listboxMatchday");
	
	prefBranchOFMStrengthLevel.set("matchday", list.selectedItem.label);
	
	var maxStrengthlevel = prefBranchOFMStrengthLevel.get("maxlevel");
	for(var i=1; i<=maxStrengthlevel; i++)
	{		
		var strengthlevel = i;
		var prefPanelStrengthlevel = document.getElementById("tbStrlvl" + strengthlevel);
		
		if(prefPanelStrengthlevel)
		{
			var strengthlevelPoints = prefPanelStrengthlevel.value;
			var prefStrengthlevel = i;
			infoMessage(2, "update AWP Level Pref '" + prefStrengthlevel + "': " + strengthlevelPoints);
			prefBranchOFMStrengthLevel.set(prefStrengthlevel, strengthlevelPoints);
		}
	}
	
	// save new default transfer market duration
	list = document.getElementById("lbTMDuration");	
	prefBranchOFMFunctionSettings.set("transfermarket.defaultduration", list.selectedItem.label);
}